<?php
//first connect to the database
require_once('includes/connect.php');
?>

<!DOCTYPE html>
<html>
<head>
<title>Investigation</title>
<link href="css/style.css" rel="stylesheet" type="text/css" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

</head>
<body>
<!-- container div wraps the page so it can be centered in the browser -->
<div id="container">
<!-- header element - can put banner image in here later -->
<header>
<h1>Facebook and Instagram Investigation</h1>

</header>
<!-- navigation uses an unordered list to layout the page links-->
<nav>
<ul>
  <li><a href="index.php">Home</a></li>
  <li><a href="q1.php">How many students from each year use Facebook?
</a></li>
  <li><a href="q2.php">How many students from each region use Facebook? 
</a></li>
  <li><a href="q3.php">How many students from each year use Instagram?
</a></li>
  <li><a href="q4.php">Do more girls or boys use Instagram</a></li>
  <li><a href="q5.php">How many girls from year 10-13 use Facebook? 
</a></li>
 <li><a href="q6.php">Do more girls or boys use Facebook?
</a></li>

</ul>
</nav>

<!-- Main information begins here -->
<article>
<h3>Investigation:<br>How many students from each region use Facebook?</h3>
<table>
  <tr>
    <th>Region</th>
    <th>Number of Students</th>    
  </tr>
<?php   
foreach ($pdo -> query("SELECT region,COUNT(*)
FROM investigation1 WHERE facebook_account='yes'
GROUP BY region") as $row)  { ?>
   <tr>
	 <td> <?php echo $row['region']; ?></td>
	 <td> <?php echo $row['COUNT(*)']; ?></td>
	</tr>
 <?php } ?>
</table>
	<script type="text/javascript">
// Load google charts
google.charts.load('current', {'packages':['corechart']});
google.charts.setOnLoadCallback(drawChart);
 
// Draw the chart and set the chart values
 
function drawChart() {
  var data = google.visualization.arrayToDataTable([
                  ['Region', 'Students using Facebook by Region'],
	<?php   
  	foreach ($pdo -> query("SELECT region,COUNT(*)
  	FROM investigation1 WHERE facebook_account='yes'
  	GROUP BY region") as $row)  {
	   
	echo "['".$row['region']."',".$row['COUNT(*)']."],"; 	
	  } ?>
	  ]);
  // Options add a title and set the width and height of the chart
  var options = { 'title':'Facebook Use', 'width':550, 'height':400,
  hAxis: {title:'Year Level'},// x axis label
  vAxis: {title:'Number'}, // y axis label
  legend: 'none',// NO legend displayed
  // style the chart title
  titleTextStyle: {
      fontName: 'Times-Roman',
      fontSize: 24,
      // the colour of the text
      color: '#270ABC',
      // The colour of the text outline.
      auraColor: '#d799ae',
      bold: true
    },
    // color of the columns
    colors:['green']
 };
 
  // Display the chart inside the <div> element with id="ColumnChart"
  var chart = new google.visualization.ColumnChart(document.getElementById('ColumnChart'));
  chart.draw(data, options);
}
 
</script>
<div id="ColumnChart"></div> 
</article>

<!-- set up the footer element -->
<footer>
<p>student facebook and instagram use</p>
</footer>
</div>
<!-- container div ends here -->
</body>
</html>
