<?php
//first connect to the database
require_once('includes/connect.php');
?>

<!DOCTYPE html>
<html>
<head>
<title>Investigation</title>
<link href="css/style.css" rel="stylesheet" type="text/css" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

</head>
<body>
<!-- container div wraps the page so it can be centered in the browser -->
<div id="container">
<!-- header element - can put banner image in here later -->
<header>
<h1>Facebook and Instagram Investigation</h1>

</header>
<!-- navigation uses an unordered list to layout the page links-->
<nav>
<ul>
  <li><a href="index.php">Home</a></li>
  <li><a href="q1.php">How many students from each year use Facebook?
</a></li>
  <li><a href="q2.php">How many students from each region use Facebook? 
</a></li>
  <li><a href="q3.php">How many students from each year use Instagram?
</a></li>
  <li><a href="q4.php">Do more girls or boys use Instagram</a></li>
  <li><a href="q5.php">How many girls from year 10-13 use Facebook? 
</a></li>
 <li><a href="q6.php">Do more girls or boys use Facebook?
</a></li>

</ul>
</nav>

<!-- Main information begins here -->
<article>
<h3>Investigation: Girls who have Facebook in year 10 to year 13</h3>
<?php 

foreach ($pdo -> query("SELECT COUNT(*)
FROM investigation1 WHERE gender='female' AND facebook_account='yes' AND year BETWEEN 10 AND 13"
) as $row)  { 
    $number_of_girls = $row[0];
   
     } 
      echo"girls who have Facebook in year 10 to year 13 is ". $number_of_girls;  
      echo "<br>";

   ?>
   <br><br>
   <br>Broken down into year levels<br><br>
<table>
  <tr>
    <th>Year Group</th>
    <th>Number of Students</th>    
  </tr>
<?php   
foreach ($pdo -> query("SELECT year,COUNT(*)
FROM investigation1 WHERE facebook_account='yes' AND gender ='female' AND year BETWEEN 10 AND 13
GROUP BY year") as $row)  { ?>
   <tr>
   <td> <?php echo $row['year']; ?></td>
   <td> <?php echo $row['COUNT(*)']; ?></td>
  </tr>
 <?php } ?>
</table>
</article>

<!-- set up the footer element -->
<footer>
<p>student facebook and instagram use</p>
</footer>
</div>
<!-- container div ends here -->
</body>
</html>
